GroovyAwareJavassistLazyInitializer (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.proxy
[Java] Class GroovyAwareJavassistLazyInitializer

    java.lang.Object
      org.hibernate.proxy.AbstractLazyInitializer
          org.hibernate.proxy.pojo.BasicLazyInitializer
              org.codehaus.groovy.grails.orm.hibernate.proxy.GroovyAwareJavassistLazyInitializer

All Implemented Interfaces:
  javassist.util.proxy.MethodHandler

    public class GroovyAwareJavassistLazyInitializer
    extends org.hibernate.proxy.pojo.BasicLazyInitializer

Authors:
  Graeme Rocher

Since:
  1.0

Method Summary
`static org.hibernate.proxy.HibernateProxy` | `getProxy(java.lang.String entityName, java.lang.Class persistentClass, java.lang.Class[] interfaces, java.lang.reflect.Method getIdentifierMethod, java.lang.reflect.Method setIdentifierMethod, org.hibernate.type.CompositeType componentIdType, java.io.Serializable id, org.hibernate.engine.SessionImplementor session)`
`static org.hibernate.proxy.HibernateProxy` | `getProxy(java.lang.Class factory, java.lang.String entityName, java.lang.Class persistentClass, java.lang.Class[] interfaces, java.lang.reflect.Method getIdentifierMethod, java.lang.reflect.Method setIdentifierMethod, org.hibernate.type.CompositeType componentIdType, java.io.Serializable id, org.hibernate.engine.SessionImplementor session)`
`static java.lang.Class` | `getProxyFactory(java.lang.Class persistentClass, java.lang.Class[] interfaces)`
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method thisMethod, java.lang.reflect.Method proceed, java.lang.Object[] args)`
`protected java.lang.Object` | `serializableProxy()`

Methods inherited from class org.hibernate.proxy.pojo.BasicLazyInitializer
org.hibernate.proxy.pojo.BasicLazyInitializer#getPersistentClass(), org.hibernate.proxy.pojo.BasicLazyInitializer#initialize(), org.hibernate.proxy.pojo.BasicLazyInitializer#getIdentifier(), org.hibernate.proxy.pojo.BasicLazyInitializer#getEntityName(), org.hibernate.proxy.pojo.BasicLazyInitializer#setReadOnly(boolean), org.hibernate.proxy.pojo.BasicLazyInitializer#isReadOnly(), org.hibernate.proxy.pojo.BasicLazyInitializer#setIdentifier(java.io.Serializable), org.hibernate.proxy.pojo.BasicLazyInitializer#getSession(), org.hibernate.proxy.pojo.BasicLazyInitializer#isUninitialized(), org.hibernate.proxy.pojo.BasicLazyInitializer#setImplementation(java.lang.Object), org.hibernate.proxy.pojo.BasicLazyInitializer#unsetSession(), org.hibernate.proxy.pojo.BasicLazyInitializer#isReadOnlySettingAvailable(), org.hibernate.proxy.pojo.BasicLazyInitializer#isUnwrap(), org.hibernate.proxy.pojo.BasicLazyInitializer#setUnwrap(boolean), org.hibernate.proxy.pojo.BasicLazyInitializer#setSession(org.hibernate.engine.SessionImplementor), org.hibernate.proxy.pojo.BasicLazyInitializer#getImplementation(), org.hibernate.proxy.pojo.BasicLazyInitializer#getImplementation(org.hibernate.engine.SessionImplementor), org.hibernate.proxy.pojo.BasicLazyInitializer#wait(), org.hibernate.proxy.pojo.BasicLazyInitializer#wait(long, int), org.hibernate.proxy.pojo.BasicLazyInitializer#wait(long), org.hibernate.proxy.pojo.BasicLazyInitializer#equals(java.lang.Object), org.hibernate.proxy.pojo.BasicLazyInitializer#toString(), org.hibernate.proxy.pojo.BasicLazyInitializer#hashCode(), org.hibernate.proxy.pojo.BasicLazyInitializer#getClass(), org.hibernate.proxy.pojo.BasicLazyInitializer#notify(), org.hibernate.proxy.pojo.BasicLazyInitializer#notifyAll()

Methods inherited from class org.hibernate.proxy.AbstractLazyInitializer
org.hibernate.proxy.AbstractLazyInitializer#initialize(), org.hibernate.proxy.AbstractLazyInitializer#getIdentifier(), org.hibernate.proxy.AbstractLazyInitializer#getEntityName(), org.hibernate.proxy.AbstractLazyInitializer#setReadOnly(boolean), org.hibernate.proxy.AbstractLazyInitializer#isReadOnly(), org.hibernate.proxy.AbstractLazyInitializer#setIdentifier(java.io.Serializable), org.hibernate.proxy.AbstractLazyInitializer#getSession(), org.hibernate.proxy.AbstractLazyInitializer#isUninitialized(), org.hibernate.proxy.AbstractLazyInitializer#setImplementation(java.lang.Object), org.hibernate.proxy.AbstractLazyInitializer#unsetSession(), org.hibernate.proxy.AbstractLazyInitializer#isReadOnlySettingAvailable(), org.hibernate.proxy.AbstractLazyInitializer#isUnwrap(), org.hibernate.proxy.AbstractLazyInitializer#setUnwrap(boolean), org.hibernate.proxy.AbstractLazyInitializer#setSession(org.hibernate.engine.SessionImplementor), org.hibernate.proxy.AbstractLazyInitializer#getImplementation(), org.hibernate.proxy.AbstractLazyInitializer#getImplementation(org.hibernate.engine.SessionImplementor), org.hibernate.proxy.AbstractLazyInitializer#wait(), org.hibernate.proxy.AbstractLazyInitializer#wait(long, int), org.hibernate.proxy.AbstractLazyInitializer#wait(long), org.hibernate.proxy.AbstractLazyInitializer#equals(java.lang.Object), org.hibernate.proxy.AbstractLazyInitializer#toString(), org.hibernate.proxy.AbstractLazyInitializer#hashCode(), org.hibernate.proxy.AbstractLazyInitializer#getClass(), org.hibernate.proxy.AbstractLazyInitializer#notify(), org.hibernate.proxy.AbstractLazyInitializer#notifyAll(), org.hibernate.proxy.AbstractLazyInitializer#getPersistentClass()

Method Detail

### getProxy

    public static org.hibernate.proxy.HibernateProxy getProxy(java.lang.String entityName, java.lang.Class persistentClass, java.lang.Class[] interfaces, java.lang.reflect.Method getIdentifierMethod, java.lang.reflect.Method setIdentifierMethod, org.hibernate.type.CompositeType componentIdType, java.io.Serializable id, org.hibernate.engine.SessionImplementor session)

### getProxy

    public static org.hibernate.proxy.HibernateProxy getProxy(java.lang.Class factory, java.lang.String entityName, java.lang.Class persistentClass, java.lang.Class[] interfaces, java.lang.reflect.Method getIdentifierMethod, java.lang.reflect.Method setIdentifierMethod, org.hibernate.type.CompositeType componentIdType, java.io.Serializable id, org.hibernate.engine.SessionImplementor session)

### getProxyFactory

    public static java.lang.Class getProxyFactory(java.lang.Class persistentClass, java.lang.Class[] interfaces)

### invoke

    public java.lang.Object invoke(java.lang.Object proxy, java.lang.reflect.Method thisMethod, java.lang.reflect.Method proceed, java.lang.Object[] args)

### serializableProxy

    persistentClass,
    protected java.lang.Object serializableProxy()

Groovy Documentation